#
# Be sure to run `pod lib lint cocos_view_pod.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'cocos_view_pod'
  s.version          = '0.1.13'
  s.summary          = 'A short description of cocos_view_pod.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://gitea.sdws.shop/xim/flutter_cocos_view_pod'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'gem' => 'cc@gmail2.com' }
  s.source           = { :git => 'https://gitea.sdws.shop/xim/flutter_cocos_view_pod.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '14'
  #s.static_framework = true
  s.source_files = 'cocos_view_pod/Classes/**/*.{h,m,mm}'
  s.vendored_libraries = "cocos_view_pod/Libs/**/*.a"
  s.frameworks = 'AudioToolbox', 'AVFoundation', 'AVKit', 'CoreVideo', 'CoreMotion', 'CFNetwork', 'CoreMedia', 'CoreText', 'CoreGraphics', 'GameController', 'JavaScriptCore', 'Metal', 'MetalKit', 'MetalPerformanceShaders', 'OpenAL', 'OpenGLES', 'QuartzCore', 'SystemConfiguration', 'Security', 'UIKit', 'WebKit'
  s.library = "z","sqlite3","iconv"

  s.user_target_xcconfig = { 'ONLY_ACTIVE_ARCH' => 'YES'}
  s.module_name = 'cocos_view_pod'
  s.pod_target_xcconfig = {
    'OTHER_LDFLAGS' => '-Wl,-ld_classic,-no_platform_version,-ObjC',
    'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64',
    'ENABLE_BITCODE' => 'NO',
    'CLANG_CXX_LIBRARY' => 'libc++',
    'CODE_SIGNING_ALLOWED' => 'NO',
    'CODE_SIGNING_REQUIRED' => 'NO',
  }

  # s.resource_bundles = {
  #   'cocos_view_pod' => ['cocos_view_pod/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
end
